package com.ghy.system.service;

import java.util.List;

import com.ghy.system.domain.AdapyPayment;

/**
 * 支付流水Service接口
 *
 * @author clunt
 * @date 2023-05-31
 */
public interface IAdapyPaymentService
{
    /**
     * 查询支付流水
     *
     * @param paymentId 支付流水主键
     * @return 支付流水
     */
    public AdapyPayment selectAdapyPaymentByPaymentId(String paymentId);

    /**
     * 查询支付流水列表
     *
     * @param adapyPayment 支付流水
     * @return 支付流水集合
     */
    public List<AdapyPayment> selectAdapyPaymentList(AdapyPayment adapyPayment);

    /**
     * 新增支付流水
     *
     * @param adapyPayment 支付流水
     * @return 结果
     */
    public int insertAdapyPayment(AdapyPayment adapyPayment);

    /**
     * 修改支付流水
     *
     * @param adapyPayment 支付流水
     * @return 结果
     */
    public int updateAdapyPayment(AdapyPayment adapyPayment);

    /**
     * 批量删除支付流水
     *
     * @param paymentIds 需要删除的支付流水主键集合
     * @return 结果
     */
    public int deleteAdapyPaymentByPaymentIds(String paymentIds);

    /**
     * 删除支付流水信息
     *
     * @param paymentId 支付流水主键
     * @return 结果
     */
    public int deleteAdapyPaymentByPaymentId(String paymentId);
}